parameters:
#    wiki_tag.example.class: IRI\Bundle\WikiTagBundle\Example
    wiki_tag.document_listener.class: IRI\Bundle\WikiTagBundle\Listener\DocumentListener
    wiki_tag.wiki_tag_document_listener.class: IRI\Bundle\WikiTagBundle\Listener\WikiTagDocumentListener
    wiki_tag.shema_utils.class: IRI\Bundle\WikiTagBundle\Utils\SchemaUtils
    wiki_tag.search_class: IRI\Bundle\WikiTagBundle\Search\Search


services:

    wiki_tag.document_listener:
        class: %wiki_tag.document_listener.class%
        arguments: [@service_container]
        tags:
            - { name: doctrine.event_subscriber, connection: default }

    wiki_tag.wiki_tag_document_listener:
        class: %wiki_tag.wiki_tag_document_listener.class%
        arguments: [@service_container]
        tags:
            - { name: doctrine.event_subscriber, connection: default }

    wiki_tag.shema_utils:
        class: %wiki_tag.shema_utils.class%
        arguments: [@service_container]
        
    wiki_tag.search:
        class: %wiki_tag.search_class%
        arguments: [@service_container]

#    wiki_tag.example:
#        class: %wiki_tag.example.class%
#        arguments: [@service_id, "plain_value", %parameter%]
